Skip to content

Get Non-Log Text Data Tags Information



GET /api/v1/metric_info/text_data/tags

Overview

Get a list of tag values for non-log text data based on namespace and tag name, returning up to 10 values.

Query Request Parameters

Parameter Name Type Required Description
namespace string Y Namespace, used to distinguish non-log text data types such as LLM, APM, RUM, etc.
Allow empty: False
tag string Y Tag name
Allow empty: False
limit integer Limit the number of returned tag values, default is 10, maximum cannot exceed 10.
Allow empty: True
$default: 10

Parameter Additional Information

Obtain the list of tag values for non-log text data through the form X::RE(\.*`):(field_values(`tag`)) LIMIT 500, whereXis mapped fromnamespace`.

Supported namespace values are as follows:

namespace Chinese Description
object Object Data
object_history Object History
custom_object Custom Object
custom_object_history Custom Object History
keyevent Event
audit_event Audit Event
unrecovered_event Unrecovered Event
tracing APM
rum RUM
security Security
network Network
backup_log Backup Log
profiling Profiling
rum_metric RUM Metrics
network_metric Network Metrics
tracing_metric APM Metrics
billing Billing
dialtest Testing
execution_log Execution Log
llm Large Language Model
errorhub Incident

Request Example

curl -k 'https://openapi.truewatch.com/api/v1/metric_info/text_data/tags?namespace=llm&tag=vendor&limit=10' \
-H 'DF-API-KEY: <DF-API-KEY>' \
--compressed

Response

{
    "code": 200,
    "content": {
        "declaration": {
            "business": "",
            "organization": "663dbba102482200070bbb02"
        },
        "namespace": "llm",
        "tag": "vendor",
        "values": [
            "langfuse"
        ]
    },
    "errorCode": "",
    "message": "",
    "success": true,
    "traceId": "69ba6c780000000057b8435babc6b2d2"
}